Subject: [Megaco] Digit Maps: Long Duration Modifier(Z), Long Timers (L), & Short T imers (S)

From: Steve Cipolli <[email-masked]>
Date: Mon, 1 Dec 2003 15:25:56 -0500

According to the syntax in RFCs 3015 & 3525 the long duration modifier (Z),
Long Timers (L), & Short Timers (S) in digit maps can appear in a digit
range.  For example (where Z is 1000ms):
    "135[2Z46]"
 
Is this valid?  If it is valid, does this mean that the fourth digit event
must be either 2, 6 (held for any duration) or 4 held for 1000 ms?
 
How does long timer (L) and short timer (S) in a digit range apply?
 
--Stephen

---

From: Troy Cauble <[email-masked]>
Date: Mon, 01 Dec 2003 16:55:22 -0500

Steve Cipolli wrote:

> 
>  
> According to the syntax in RFCs 3015 & 3525 the long duration modifier 
> (Z), Long Timers (L), & Short Timers (S) in digit maps can appear in a 
> digit range.  For example (where Z is 1000ms):
>     "135[2Z46]"
>  
> Is this valid?  If it is valid, does this mean that the fourth digit 
> event must be either 2, 6 (held for any duration) or 4 held for 1000 ms?
>  

 From H.248.1

> In addition to these event symbols, the string may contain "S" and "L" 
 > inter-event timing specifiers and the "Z" duration modifier. "S" and "L"
 > respectively indicate that the MG should use the short (S) timer or the
 > long (L) timer for subsequent events, overriding the timing rules
 > described above. If an explicit timing specifier is in effect in one
 > alternative event sequence, but none is given in any other candidate
 > alternative, the timer value set by the explicit timing specifier must be
 > used. If all sequences with explicit timing controls are dropped from the
 > candidate set, timing reverts to the default rules given above. Finally,
 > if conflicting timing specifiers are in effect in different alternative
 > sequences, the long timer shall be used.
 >
> A "Z" designates a long duration event: placed in front of the symbol(s) 
 > designating the event(s) which satisfy a given digit position, it indicates
> that that position is satisfied only if the duration of the event exceeds 
> the long-duration threshold. The value of this threshold is assumed to be 
> provisioned in the MG.

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Troy Cauble <[email-masked]>
Date: Mon, 01 Dec 2003 16:55:22 -0500

From H.248.1